public static class Profile.Query extends BaseIdentifiableElement implements IResourceBlock
Definition: Definition of a named query and its parameters and their meaning
| Constructor and Description |
|---|
Profile.Query() |
| Modifier and Type | Method and Description |
|---|---|
Profile.StructureSearchParam |
addParameter()
Adds and returns a new value for parameter (Parameter for the named query)
|
<T extends IElement> |
getAllPopulatedChildElementsOfType(Class<T> theType)
Returns a list containing all child elements matching a given type
|
StringDt |
getDocumentation()
Gets the value(s) for documentation (Describes the named query).
|
StringDt |
getName()
Gets the value(s) for name (Special named queries (_query=)).
|
List<Profile.StructureSearchParam> |
getParameter()
Gets the value(s) for parameter (Parameter for the named query).
|
Profile.StructureSearchParam |
getParameterFirstRep()
Gets the first repetition for parameter (Parameter for the named query),
creating it if it does not already exist.
|
boolean |
isEmpty() |
Profile.Query |
setDocumentation(String theString)
Sets the value for documentation (Describes the named query)
|
Profile.Query |
setDocumentation(StringDt theValue)
Sets the value(s) for documentation (Describes the named query)
|
Profile.Query |
setName(String theString)
Sets the value for name (Special named queries (_query=))
|
Profile.Query |
setName(StringDt theValue)
Sets the value(s) for name (Special named queries (_query=))
|
Profile.Query |
setParameter(List<Profile.StructureSearchParam> theValue)
Sets the value(s) for parameter (Parameter for the named query)
|
getElementSpecificId, getId, setElementSpecificId, setId, setIdaddUndeclaredExtension, addUndeclaredExtension, addUndeclaredExtension, getAllUndeclaredExtensions, getUndeclaredExtensions, getUndeclaredExtensionsByUrl, getUndeclaredModifierExtensions, isBaseEmptyclone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitgetElementSpecificId, getId, setElementSpecificId, setId, setIdpublic <T extends IElement> List<T> getAllPopulatedChildElementsOfType(Class<T> theType)
ICompositeElementgetAllPopulatedChildElementsOfType in interface ICompositeElementtheType - The type to match. If set to null, all child elements will be returnedpublic StringDt getName()
null.
Definition: The name of a query, which is used in the URI from Conformance statements declaring use of the query. Typically this will also be the name for the _query parameter when the query is called, though in some cases it may be aliased by a server to avoid collisions
public Profile.Query setName(StringDt theValue)
Definition: The name of a query, which is used in the URI from Conformance statements declaring use of the query. Typically this will also be the name for the _query parameter when the query is called, though in some cases it may be aliased by a server to avoid collisions
public Profile.Query setName(String theString)
Definition: The name of a query, which is used in the URI from Conformance statements declaring use of the query. Typically this will also be the name for the _query parameter when the query is called, though in some cases it may be aliased by a server to avoid collisions
public StringDt getDocumentation()
null.
Definition: Description of the query - the functionality it offers, and considerations about how it functions and to use it
public Profile.Query setDocumentation(StringDt theValue)
Definition: Description of the query - the functionality it offers, and considerations about how it functions and to use it
public Profile.Query setDocumentation(String theString)
Definition: Description of the query - the functionality it offers, and considerations about how it functions and to use it
public List<Profile.StructureSearchParam> getParameter()
null.
Definition: A parameter of a named query
public Profile.Query setParameter(List<Profile.StructureSearchParam> theValue)
Definition: A parameter of a named query
public Profile.StructureSearchParam addParameter()
Definition: A parameter of a named query
public Profile.StructureSearchParam getParameterFirstRep()
Definition: A parameter of a named query
Copyright © 2014 University Health Network. All rights reserved.